<!-- ...................................................................... -->
<!-- UML Deployment Model V1.0 ............................................ -->
<!-- File deploymt.mod .................................................... -->

<!-- Copyright(c) 1998 Normand Rivard.

     Permission to use, copy, modify and distribute the UML-Xchange DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty.

     If you modify the UML-Xchange DTD in any way, except for declaring and
     referencing additional sets of general entities and declaring
     additional notations, label your DTD as a variant of UML-Xchange.  See
     the maintenance documentation for more information.

     Please direct all questions, bug reports, or suggestions for
     changes to one of the maintainers:

     o Normand Rivard
       <nrivard@cam.org>

-->

<!ELEMENT deployment.mod    - - (%ident;, deployment.set, deployment.diagram*)>

<!ELEMENT deployment.set    - - (%ident;,  (( component | communication )+
                                          | ( node | connection )+ ))>

<!ELEMENT node          - - (%ident;, name, ( component | communication )*)>

<!ATTLIST node              %idreq.common.attrib;>

<!ELEMENT component     - - (%ident;, name, contained.obj*)>

<!ATTLIST component         dependencies    IDREFS  #IMPLIED
                            %idreq.common.attrib;>

<!ELEMENT contained.obj - - (%ident;, name)>

<!ATTLIST contained.obj     %idreq.common.attrib;>

<!ELEMENT connection    - - (%ident;)>

<!ATTLIST connection        from        IDREF   #REQUIRED
                            to          IDREF   #REQUIRED
                            %idreq.common.attrib;>

<!ELEMENT communication - - (%ident;, name)>

<!ATTLIST communication     from        IDREF   #REQUIRED
                            to          IDREF   #REQUIRED
                            %idreq.common.attrib;>

<!-- Deployment diagram components......................................... -->
<!-- ...................................................................... -->

<!ELEMENT deployment.diagram    - - (%ident;, name?, ( note
                                                    | node.comp
                                                    | component.comp
                                                    | connection.comp
                                                    | communication.comp
                                                    )*)>

<!ATTLIST deployment.diagram    %rect;
                                %id.common.attrib;>

<!ELEMENT node.comp     - o EMPTY>

<!ATTLIST node.comp         from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT component.comp    - o EMPTY>

<!ATTLIST component.comp    from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT connection.comp   - - (point, point+)>

<!ATTLIST connection.comp   from.set    IDREF   #REQUIRED
                            %id.common.attrib;>

<!ELEMENT communication.comp    - - (point, point+)>

<!ATTLIST communication.comp    from.set    IDREF   #REQUIRED
                                %id.common.attrib;>

<!-- End of Deployment model DTD V1.0 ..................................... -->
<!-- ...................................................................... -->
